I don’t see the password field


(reipes) #1

I’am also confused how to make the first login:

When i start tryton I don’t see the password filend. When i click on login I get this error.

  File "/usr/lib/python3.4/xmlrpc/client.py", line 1089, in __call__
    return self.__send(self.__name, args)
  File "/opt/src/tryton/tryton-client/lib/python3.4/site-packages/tryton/jsonrpc.py", line 285, in __request
    raise Fault(*response['error'])
tryton.jsonrpc.Fault: <Fault 'LoginException': ['password', 'Password', 'password']>

what I’am missing?


First connexion
(Cédric Krier) #2

It looks like you are not using the client and server of the same series.


(reipes) #3

thanks for the replay. I use 5.0.2 for server and client. When I connect with the client where I have to insert the password?


(Sergi Almacellas Abellana) #4

On 5.0 series the password will be asked after clicking the connect button on a separate dialog

This is because the login process is extensible and the user may be asked for additional details, for example a code for two factor autentication


(reipes) #5

ok I understand. This does not happen for me. I tried the version installed with pip and also the source code the same behavior. When I click connect no dialog box appears :frowning:


(Cédric Krier) #6

If you have make multiple attempts which have failed, the system has blocked your account for the session timeout (by default 5 minutes). So you will see the dialog box only after.


(reipes) #7

No, I never had the possibility to insert the password. To understand. If install tryton y trytond and make the db in postgres (ist recognized from the client) the erp should start? Or need I some more modules?


(Cédric Krier) #8

You must initialize the database.


(reipes) #9

I did it. And I type the admin password. But when I start the client I have no possibility to insert the password defined before. I get the error above. It is very strange.


(Cédric Krier) #10

Could you past the full traceback?


(reipes) #11

INFO:tryton.rpc:common.server.version(None, None)
DEBUG:tryton.rpc:‘5.0.2’
INFO:tryton.common.common:Überprüfung der URL: https://downloads.tryton.org/5.0/tryton-5.0.3.tar.gz
INFO:tryton.common.common:Überprüfung der URL: https://downloads.tryton.org/5.0/tryton-5.0.4.tar.gz
INFO:tryton.rpc:common.db.login(admin, xxxxxxxxxx, de_DE)
ERROR:tryton.common.common:Traceback (most recent call last):
File “/opt/src/tryton/tryton-5.0.2/tryton/common/common.py”, line 1012, in init
func(parameters)
File “/opt/src/tryton/tryton-5.0.2/tryton/rpc.py”, line 88, in login
result = connection.common.db.login(username, parameters, language)
File “/usr/lib/python3.4/xmlrpc/client.py”, line 1089, in call
return self.__send(self.__name, args)
File “/opt/src/tryton/tryton-5.0.2/tryton/jsonrpc.py”, line 285, in __request
raise Fault(*response[‘error’])
tryton.jsonrpc.Fault: <Fault ‘LoginException’: [‘password’, ‘Password’, ‘password’]>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/src/tryton/tryton-5.0.2/tryton/gui/main.py”, line 275, in do_activate
common.Login()
File “/opt/src/tryton/tryton-5.0.2/tryton/common/common.py”, line 1014, in init
if exception.faultCode == str(HTTPStatus.UNAUTHORIZED.value):
AttributeError: ‘int’ object has no attribute ‘value’

‘int’ object has no attribute ‘value’


(Cédric Krier) #12

It is a bug relate to the usage of Python 3.4: Issue 7945: HTTPStatus usage not compatible with python 3.4 - Tryton issue tracker


(reipes) #13

thank you so much i will try with an other version of python.